﻿using UnityEngine;
using System.Collections;

public class Levels{

	public TileMap MainMap;

	public Levels(TileMap InMainMap) {
		MainMap = InMainMap;
	}

	void AddSprite(int x, int y, int g0, int g1, int g2, int g3, int g4, int g5) {
		MainMap.AddSprite(x,y,new GraphConnect (g0, g1, g2, g3, g4, g5));
	}

	void SetMainStart(int x, int y) {
		MainMap.SetMainStart(x,y);
	}

	public bool LoadLevel(int Index) {

		int LevelNumber = 1;
		if (Index == LevelNumber++) {

			AddSprite (6,4, 0,0,0,0,0,0);
			AddSprite (3,3, 0,0,0,0,0,1);
			AddSprite (3,4, 0,1,0,0,0,0);
			AddSprite (4,5, 0,0,1,0,0,0);
			SetMainStart(6,4);

			return true;
		} else if (Index == LevelNumber++) {

			AddSprite (5,1, 0,0,0,0,0,0);
			AddSprite (3,4, 0,1,0,0,0,0);
			AddSprite (3,6, 0,0,0,1,0,1);
			AddSprite (5,4, 1,1,0,0,0,0);
			AddSprite (3,2, 0,0,0,0,0,1);
			AddSprite (6,4, 1,0,0,0,0,0);
			AddSprite (4,6, 0,0,1,0,0,0);
			SetMainStart(5,1);

			return true;
		} else if (Index == LevelNumber++) {

			AddSprite (4,4, 1,0,1,0,0,1);
			AddSprite (3,3, 0,0,0,0,0,1);
			AddSprite (3,4, 0,1,0,0,0,1);
			AddSprite (4,5, 0,0,1,1,0,0);
			SetMainStart(4,4);
			
			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (5,4, 0,0,0,0,0,0);
			AddSprite (3,4, 0,0,0,1,0,1);
			AddSprite (4,5, 0,0,1,0,0,0);
			AddSprite (3,5, 0,1,0,0,1,0);
			AddSprite (5,2, 1,0,0,0,0,0);
			SetMainStart(5,4);
			
			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (2,2, 0,0,0,0,0,0);
			AddSprite (3,3, 0,0,1,0,0,1);
			AddSprite (3,2, 0,0,1,0,0,1);
			AddSprite (4,4, 1,1,0,0,0,1);
			AddSprite (6,4, 1,0,0,0,0,1);
			AddSprite (2,4, 0,1,0,0,0,0);
			AddSprite (2,1, 0,0,0,1,0,1);
			AddSprite (6,5, 1,0,1,0,0,0);
			AddSprite (3,0, 0,0,0,0,1,0);
			AddSprite (6,6, 0,1,1,0,0,0);
			SetMainStart(2,2);
			
			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (4,0, 0,0,0,0,0,0);
			AddSprite (3,5, 0,0,0,1,1,1);
			AddSprite (3,6, 0,1,0,1,1,1);
			AddSprite (2,7, 0,0,0,1,0,0);
			AddSprite (4,6, 1,0,1,0,0,0);
			AddSprite (3,2, 0,0,1,0,0,1);
			AddSprite (2,1, 0,0,0,0,0,1);
			AddSprite (3,7, 0,0,1,0,0,0);
			AddSprite (3,4, 1,0,0,0,0,0);
			SetMainStart(4,0);
			
			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (3,4, 1,0,0,0,0,0);
			AddSprite (2,4, 1,1,0,0,0,0);
			AddSprite (4,5, 0,0,1,0,1,1);
			AddSprite (4,6, 0,1,0,1,1,0);
			AddSprite (1,4, 0,1,0,0,0,0);
			AddSprite (5,6, 1,0,1,0,0,1);
			AddSprite (5,2, 0,0,1,0,1,0);
			AddSprite (3,7, 0,0,0,1,0,0);
			AddSprite (5,7, 0,0,1,0,0,0);
			AddSprite (3,1, 1,0,0,0,0,1);
			AddSprite (1,2, 0,1,0,0,0,0);
			SetMainStart(3,4);

			
			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (4,4, 0,0,0,0,0,0);
			AddSprite (7,4, 1,0,0,1,0,0);
			AddSprite (2,1, 0,0,1,0,0,1);
			AddSprite (2,7, 0,0,0,1,0,0);
			AddSprite (5,5, 0,0,1,0,1,1);
			AddSprite (2,0, 0,0,0,0,0,1);
			AddSprite (4,7, 0,0,0,1,0,0);
			AddSprite (5,7, 0,0,1,0,0,0);
			AddSprite (6,2, 0,0,0,0,1,0);
			SetMainStart(4,4);
			
			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (3,5, 1,0,0,0,0,1);
			AddSprite (3,3, 0,0,1,0,1,1);
			AddSprite (2,4, 0,1,0,1,1,1);
			AddSprite (3,2, 1,0,0,1,0,1);
			AddSprite (2,5, 1,1,0,1,0,0);
			AddSprite (4,6, 1,0,1,1,0,0);
			AddSprite (4,4, 1,0,0,0,0,0);
			AddSprite (1,5, 0,1,1,0,0,0);
			AddSprite (2,2, 0,1,1,0,1,0);
			AddSprite (1,1, 0,0,0,0,0,1);
			AddSprite (1,3, 0,0,0,1,1,0);
			AddSprite (1,4, 0,0,0,1,0,1);
			AddSprite (3,1, 0,0,0,0,1,0);
			AddSprite (4,5, 0,0,1,0,0,0);
			SetMainStart(3,5);
			
			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (3,4, 0,1,0,0,0,1);
			AddSprite (4,4, 1,1,0,1,1,1);
			AddSprite (3,3, 0,1,0,0,0,1);
			AddSprite (3,6, 0,0,0,1,1,1);
			AddSprite (4,3, 0,1,0,1,1,1);
			AddSprite (3,5, 1,1,1,1,1,0);
			AddSprite (5,4, 1,0,1,1,0,0);
			AddSprite (6,2, 1,0,1,0,0,0);
			AddSprite (3,7, 0,0,1,1,0,0);
			AddSprite (7,6, 1,0,1,0,0,0);
			AddSprite (5,3, 1,0,1,0,1,0);
			AddSprite (2,7, 0,1,0,1,0,1);
			AddSprite (5,2, 0,0,0,0,1,1);
			AddSprite (4,5, 0,0,1,0,1,1);
			SetMainStart(3,4);
			
			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (2,5, 0,0,0,0,0,0);
			AddSprite (3,5, 0,0,1,1,0,1);
			AddSprite (6,4, 1,0,0,1,0,1);
			AddSprite (4,6, 0,0,1,0,1,0);
			AddSprite (3,3, 1,1,0,0,0,1);
			AddSprite (5,3, 0,0,0,0,1,0);
			AddSprite (3,4, 0,1,0,0,0,0);
			AddSprite (4,3, 0,0,1,0,0,0);
			AddSprite (3,7, 0,0,0,1,0,0);
			SetMainStart(2,5);
			
			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (3,4, 0,1,1,0,0,0);
			AddSprite (2,3, 1,1,0,1,0,1);
			AddSprite (5,2, 1,1,1,0,1,1);
			AddSprite (5,4, 1,1,0,1,0,1);
			AddSprite (2,5, 1,1,1,0,1,0);
			AddSprite (4,4, 1,1,1,0,1,0);
			AddSprite (1,5, 1,1,0,0,0,1);
			AddSprite (0,5, 0,1,0,0,1,0);
			AddSprite (5,5, 1,0,1,1,0,0);
			AddSprite (1,3, 0,1,1,0,1,0);
			AddSprite (4,6, 0,0,1,1,0,0);
			AddSprite (7,4, 1,0,1,1,1,0);
			AddSprite (3,2, 0,0,0,0,1,1);
			AddSprite (5,3, 1,0,0,0,1,0);
			AddSprite (2,4, 0,0,0,1,0,1);
			AddSprite (2,6, 0,0,1,1,0,0);
			AddSprite (2,2, 0,0,1,1,0,1);
			AddSprite (0,6, 0,0,0,1,0,1);
			AddSprite (6,4, 1,1,1,1,0,1);
			AddSprite (2,1, 1,0,0,0,1,0);
			AddSprite (0,7, 0,0,1,0,0,0);
			AddSprite (1,1, 0,1,0,0,0,1);
			AddSprite (4,3, 1,1,0,0,1,1);
			SetMainStart(3,4);
			
			return true;
		} else if (Index == LevelNumber++) {

			AddSprite (2,2, 0,0,0,0,0,1);
			AddSprite (5,2, 0,1,1,1,1,0);
			AddSprite (3,3, 1,1,1,1,0,1);
			AddSprite (3,2, 0,0,1,0,0,1);
			AddSprite (5,3, 1,0,0,0,1,1);
			AddSprite (2,3, 0,1,1,0,0,1);
			AddSprite (2,5, 0,1,0,0,0,0);
			AddSprite (4,4, 1,0,1,0,1,0);
			AddSprite (4,6, 0,0,1,1,1,0);
			AddSprite (5,1, 1,0,0,0,1,0);
			AddSprite (5,4, 1,1,0,1,0,0);
			AddSprite (2,1, 1,1,0,0,0,1);
			AddSprite (3,7, 0,0,0,1,0,0);
			AddSprite (6,4, 1,0,1,0,0,0);
			AddSprite (3,4, 0,1,0,0,0,1);
			AddSprite (2,0, 0,0,0,0,0,1);
			SetMainStart(2,2);

			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (2,5, 1,0,1,1,0,0);
			AddSprite (5,2, 0,0,1,0,1,1);
			AddSprite (5,4, 1,0,1,0,0,1);
			AddSprite (5,5, 1,1,1,0,0,1);
			AddSprite (3,4, 1,1,0,0,1,1);
			AddSprite (5,6, 0,0,1,1,0,1);
			AddSprite (4,4, 1,1,1,1,1,0);
			AddSprite (4,2, 1,0,0,0,0,1);
			AddSprite (2,4, 1,1,1,0,0,1);
			AddSprite (1,5, 0,1,1,1,0,1);
			AddSprite (4,6, 0,0,1,1,0,1);
			AddSprite (6,5, 1,1,1,0,1,0);
			AddSprite (5,7, 0,0,1,0,0,0);
			AddSprite (1,4, 0,1,1,1,0,0);
			AddSprite (1,3, 1,0,0,0,1,1);
			AddSprite (7,5, 1,0,0,0,0,0);
			AddSprite (3,2, 0,1,0,0,0,0);
			AddSprite (3,7, 0,0,1,0,0,0);
			AddSprite (0,3, 0,1,0,0,0,1);
			SetMainStart(2,5);

			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (3,3, 1,1,0,1,0,0);
			AddSprite (4,2, 1,1,0,1,1,1);
			AddSprite (2,3, 1,1,0,0,0,1);
			AddSprite (1,3, 0,1,0,0,0,0);
			AddSprite (4,4, 0,0,0,1,1,0);
			AddSprite (4,3, 1,1,0,1,0,0);
			AddSprite (6,4, 1,0,1,0,0,0);
			AddSprite (5,2, 0,1,0,0,1,0);
			AddSprite (3,5, 1,0,0,1,1,0);
			AddSprite (6,2, 1,0,0,0,1,1);
			AddSprite (4,5, 0,0,1,0,0,0);
			AddSprite (5,3, 1,0,1,0,0,1);
			AddSprite (2,6, 0,1,0,0,0,1);
			AddSprite (7,4, 0,0,1,0,0,0);
			AddSprite (3,6, 0,0,1,1,0,0);
			SetMainStart(3,3);
			
			return true;
		} else if (Index == LevelNumber++) {
			
			AddSprite (3,3, 0,0,1,0,0,0);
			AddSprite (2,6, 1,0,1,1,1,0);
			AddSprite (3,2, 0,1,0,0,1,1);
			AddSprite (0,6, 1,0,1,1,1,0);
			AddSprite (1,0, 0,1,0,1,1,1);
			AddSprite (5,1, 0,1,1,0,0,1);
			AddSprite (4,5, 1,1,1,1,1,0);
			AddSprite (7,6, 1,1,0,1,1,1);
			AddSprite (1,7, 0,1,0,1,1,1);
			AddSprite (6,6, 1,0,1,1,1,1);
			AddSprite (2,1, 0,1,1,0,1,1);
			AddSprite (2,2, 0,0,0,0,0,1);
			AddSprite (1,4, 0,1,1,1,0,0);
			AddSprite (4,0, 1,0,1,1,0,1);
			AddSprite (1,6, 0,1,0,0,0,1);
			AddSprite (7,2, 1,0,1,0,0,0);
			AddSprite (4,3, 0,0,1,0,0,0);
			AddSprite (4,4, 1,0,0,0,1,0);
			AddSprite (5,0, 0,0,0,0,0,1);
			AddSprite (5,5, 1,0,1,1,0,0);
			SetMainStart(3,3);

			return true;
		}

		return false;
	}

}
